steps:
  trigger-gitops-via-push:
    when:
      event: [push, pull_request, tag]
      branch: [master]
    name: Trigger apps-gitops via Git push
    image: alpine/git
    environment:
      GIT_USERNAME:
        from_secret: GIT_USERNAME
      GIT_TOKEN:
        from_secret: GIT_TOKEN
    commands: |
      git config --global user.name "woodpecker-bot"
      git config --global user.email "ci@dvirlabs.com"
      git clone "https://$${GIT_USERNAME}:$${GIT_TOKEN}@git.dvirlabs.com/dvirlabs/apps-gitops.git"
      cd apps-gitops
      echo "# trigger at $(date) by $${CI_REPO_NAME}" >> .trigger
      git add .trigger
      git commit -m "ci: trigger apps-gitops build" || echo "no changes"
      git push origin HEAD